=== modified file 'ChangeLog'
--- ChangeLog	2006-08-05 15:26:04 +0000
+++ ChangeLog	2006-08-07 16:51:21 +0000
@@ -1,3 +1,9 @@
+2006-08-07  Szilveszter Farkas <Szilveszter.Farkas@gmail.com>
+
+    * olive.galde: added custom artwork (icons)
+    * icons/*: new icons for the toolbar
+    * setup.py: install the icons
+
 2006-08-05  Szilveszter Farkas <Szilveszter.Farkas@gmail.com>
 
     * olive/frontend/gtk/diff.py: Diff window now destroyed if not a branch
@@ -23,7 +29,7 @@
     * setup.py: install cmenu.ui to the appropriate place
     * olive/frontend/gtk/menu.py: implement the context menus
     * olive/frontend/gtk/__init__.py: added button_press_event for file list
-    * olive/frontend/gtk/handler.py: handling that even (show popup menu)
+    * olive/frontend/gtk/handler.py: handling that event (show popup menu)
 
 2006-08-01  Szilveszter Farkas <Szilveszter.Farkas@gmail.com>
 

=== added directory 'icons'
=== added file 'icons/checkin.png'
Binary files icons/checkin.png and icons/checkin.png differ
=== added file 'icons/checkout.png'
Binary files icons/checkout.png and icons/checkout.png differ
=== added file 'icons/commit.png'
Binary files icons/commit.png and icons/commit.png differ
=== added file 'icons/diff.png'
Binary files icons/diff.png and icons/diff.png differ
=== added file 'icons/log-action.png'
Binary files icons/log-action.png and icons/log-action.png differ
=== added file 'icons/reload.png'
Binary files icons/reload.png and icons/reload.png differ
=== modified file 'olive.glade'
--- olive.glade	2006-08-05 15:26:04 +0000
+++ olive.glade	2006-08-07 16:51:21 +0000
@@ -51,7 +51,7 @@
 		      <signal name="activate" handler="on_menuitem_add_files_activate" last_modification_time="Fri, 21 Jul 2006 11:38:39 GMT"/>
 
 		      <child internal-child="image">
-			<widget class="GtkImage" id="image106">
+			<widget class="GtkImage" id="image126">
 			  <property name="visible">True</property>
 			  <property name="stock">gtk-add</property>
 			  <property name="icon_size">1</property>
@@ -72,7 +72,7 @@
 		      <signal name="activate" handler="on_menuitem_remove_file_activate" last_modification_time="Fri, 21 Jul 2006 13:54:07 GMT"/>
 
 		      <child internal-child="image">
-			<widget class="GtkImage" id="image107">
+			<widget class="GtkImage" id="image127">
 			  <property name="visible">True</property>
 			  <property name="stock">gtk-remove</property>
 			  <property name="icon_size">1</property>
@@ -193,7 +193,7 @@
 		      <signal name="activate" handler="on_menuitem_branch_pull_activate" last_modification_time="Mon, 17 Jul 2006 08:52:48 GMT"/>
 
 		      <child internal-child="image">
-			<widget class="GtkImage" id="image108">
+			<widget class="GtkImage" id="image128">
 			  <property name="visible">True</property>
 			  <property name="stock">gtk-goto-bottom</property>
 			  <property name="icon_size">1</property>
@@ -214,7 +214,7 @@
 		      <signal name="activate" handler="on_menuitem_branch_push_activate" last_modification_time="Mon, 17 Jul 2006 08:52:48 GMT"/>
 
 		      <child internal-child="image">
-			<widget class="GtkImage" id="image109">
+			<widget class="GtkImage" id="image129">
 			  <property name="visible">True</property>
 			  <property name="stock">gtk-goto-top</property>
 			  <property name="icon_size">1</property>
@@ -241,7 +241,7 @@
 		      <signal name="activate" handler="on_menuitem_branch_commit_activate" last_modification_time="Mon, 17 Jul 2006 08:53:37 GMT"/>
 
 		      <child internal-child="image">
-			<widget class="GtkImage" id="image110">
+			<widget class="GtkImage" id="image130">
 			  <property name="visible">True</property>
 			  <property name="stock">gtk-redo</property>
 			  <property name="icon_size">1</property>
@@ -355,7 +355,7 @@
 	      <property name="visible">True</property>
 	      <property name="label" translatable="yes">Update</property>
 	      <property name="use_underline">True</property>
-	      <property name="stock_id">gtk-refresh</property>
+	      <property name="icon">reload.png</property>
 	      <property name="visible_horizontal">True</property>
 	      <property name="visible_vertical">True</property>
 	      <property name="is_important">False</property>
@@ -372,6 +372,7 @@
 	      <property name="visible">True</property>
 	      <property name="label" translatable="yes">Log</property>
 	      <property name="use_underline">True</property>
+	      <property name="icon">log-action.png</property>
 	      <property name="visible_horizontal">True</property>
 	      <property name="visible_vertical">True</property>
 	      <property name="is_important">False</property>
@@ -389,6 +390,7 @@
 	      <property name="visible">True</property>
 	      <property name="label" translatable="yes">Diff</property>
 	      <property name="use_underline">True</property>
+	      <property name="icon">diff.png</property>
 	      <property name="visible_horizontal">True</property>
 	      <property name="visible_vertical">True</property>
 	      <property name="is_important">False</property>
@@ -419,7 +421,7 @@
 	      <property name="visible">True</property>
 	      <property name="label" translatable="yes">Commit</property>
 	      <property name="use_underline">True</property>
-	      <property name="stock_id">gtk-redo</property>
+	      <property name="icon">commit.png</property>
 	      <property name="visible_horizontal">True</property>
 	      <property name="visible_vertical">True</property>
 	      <property name="is_important">False</property>
@@ -449,7 +451,7 @@
 	      <property name="visible">True</property>
 	      <property name="label" translatable="yes">Pull</property>
 	      <property name="use_underline">True</property>
-	      <property name="stock_id">gtk-goto-bottom</property>
+	      <property name="icon">checkin.png</property>
 	      <property name="visible_horizontal">True</property>
 	      <property name="visible_vertical">True</property>
 	      <property name="is_important">False</property>
@@ -466,7 +468,7 @@
 	      <property name="visible">True</property>
 	      <property name="label" translatable="yes">Push</property>
 	      <property name="use_underline">True</property>
-	      <property name="stock_id">gtk-goto-top</property>
+	      <property name="icon">checkout.png</property>
 	      <property name="visible_horizontal">True</property>
 	      <property name="visible_vertical">True</property>
 	      <property name="is_important">False</property>
@@ -2372,4 +2374,25 @@
   </child>
 </widget>
 
+<widget class="GtkWindow" id="window_log">
+  <property name="visible">True</property>
+  <property name="title" translatable="yes">Olive - Log</property>
+  <property name="type">GTK_WINDOW_TOPLEVEL</property>
+  <property name="window_position">GTK_WIN_POS_NONE</property>
+  <property name="modal">False</property>
+  <property name="resizable">True</property>
+  <property name="destroy_with_parent">False</property>
+  <property name="decorated">True</property>
+  <property name="skip_taskbar_hint">False</property>
+  <property name="skip_pager_hint">False</property>
+  <property name="type_hint">GDK_WINDOW_TYPE_HINT_NORMAL</property>
+  <property name="gravity">GDK_GRAVITY_NORTH_WEST</property>
+  <property name="focus_on_map">True</property>
+  <property name="urgency_hint">False</property>
+
+  <child>
+    <placeholder/>
+  </child>
+</widget>
+
 </glade-interface>

=== modified file 'setup.py'
--- setup.py	2006-08-02 20:35:25 +0000
+++ setup.py	2006-08-07 16:51:21 +0000
@@ -25,6 +25,15 @@
       author_email='szilveszter.farkas@gmail.com',
       url='https://launchpad.net/products/olive/',
       packages=['olive', 'olive.backend', 'olive.frontend', 'olive.frontend.gtk'],
-      package_dir={'olive.backend': 'olive/backend', 'olive.frontend.gtk': 'olive/frontend/gtk'},
+      package_dir={'olive.backend': 'olive/backend',
+                   'olive.frontend.gtk': 'olive/frontend/gtk'},
       scripts=['olive-gtk'],
-      data_files=[('share/olive', ['olive.glade', 'oliveicon2.png', 'cmenu.ui'])])
+      data_files=[('share/olive', ['olive.glade',
+                                   'oliveicon2.png',
+                                   'cmenu.ui',
+                                   'icons/checkin.png',
+                                   'icons/checkout.png',
+                                   'icons/commit.png',
+                                   'icons/diff.png',
+                                   'icons/log-action.png',
+                                   'icons/reload.png'])])

